version: "3.9"

services:
  nextjs:
    build:
      context: .
      args:
        NEXT_PUBLIC_API_URL: ${NEXT_PUBLIC_API_URL}
    container_name: cmc_nextjs_pro
    ports:
      - "9012:3000"
    environment:
      - NODE_ENV=production
      - NEXT_PUBLIC_API_URL=${NEXT_PUBLIC_API_URL}
    restart: unless-stopped
    # Remove the volumes - they overwrite your build!